/******************************************************************************
*
* Copyright (C) 2002 Hugo PEREIRA <mailto: hugo.pereira@free.fr>
*
* This is free software; you can redistribute it and/or modify it under the
* terms of the GNU General Public License as published by the Free Software
* Foundation; either version 2 of the License, or (at your option) any later
* version.
*
* This software is distributed in the hope that it will be useful, but WITHOUT
* Any WARRANTY; without even the implied warranty of MERCHANTABILITY or
* FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
* for more details.
*
* You should have received a copy of the GNU General Public License along with
* this program.  If not, see <http://www.gnu.org/licenses/>.
*
*******************************************************************************/

#include "CalendarEventModel.h"

namespace Calendar
{

    //_______________________________________________________________________________________
    QVariant CalendarEventModel::data( const QModelIndex& index, int role ) const
    {

        if( role == Qt::DisplayRole ) return get( index ).toString();
        else return QVariant();

    }

    //________________________________________________________
    QVariant CalendarEventModel::headerData( int section, Qt::Orientation orientation, int role ) const
    {

        if( orientation == Qt::Horizontal && role == Qt::DisplayRole && section >= 0 && section < nColumns )
        { return columnTitles_[section]; }

        // return empty
        return QVariant();

    }

    //____________________________________________________________
    void CalendarEventModel::_sort( int, Qt::SortOrder )
    { std::sort( _get().begin(), _get().end() ); }


}
