/******************************************************************************
*
* Copyright (C) 2002 Hugo PEREIRA <mailto: hugo.pereira@free.fr>
*
* This is free software; you can redistribute it and/or modify it under the
* terms of the GNU General Public License as published by the Free Software
* Foundation; either version 2 of the License, or (at your option) any later
* version.
*
* This software is distributed in the hope that it will be useful, but WITHOUT
* Any WARRANTY; without even the implied warranty of MERCHANTABILITY or
* FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
* for more details.
*
* You should have received a copy of the GNU General Public License along with
* this program.  If not, see <http://www.gnu.org/licenses/>.
*
*******************************************************************************/

#include "Color.h"
#include "File.h"
#include "Util.h"
#include "XmlOptions.h"

//_____________________________________________________
//! Default options installer
void installCpuLoadOptions()
{

    XmlOptions::get().setAutoDefault( true );
    XmlOptions::get().set<bool>( "AUTO_SCALE", true );
    XmlOptions::get().set( "CPU_NAME", "cpu" );

    XmlOptions::get().set<bool>( "USE_DEFAULT_COLORS", true );
    XmlOptions::get().set( "NICE_COLOR", Base::Color( "#00aa00" ) );
    XmlOptions::get().set( "SYSTEM_COLOR", Base::Color( "#ffaa00" ) );
    XmlOptions::get().set( "USER_COLOR", Base::Color( "#aa0000" ) );

    XmlOptions::get().set<bool>( "SHOW_NICE", true );
    XmlOptions::get().set<bool>( "SHOW_SYSTEM", true );
    XmlOptions::get().set<bool>( "SHOW_USER", true );

    XmlOptions::get().setAutoDefault( false );

    XmlOptions::get().set( "OLD_RC_FILE", Option( File(".transparent-cpuloadrc").addPath( Util::home() ), Option::Flag::None ) );
    XmlOptions::get().set( "RC_FILE", Option( File("transparent-cpuloadrc").addPath( Util::config() ), Option::Flag::None ) );

}
