#ifndef DiskLoad_26_h
#define DiskLoad_26_h

/******************************************************************************
*
* Copyright (C) 2002 Hugo PEREIRA <mailto: hugo.pereira@free.fr>
*
* This is free software; you can redistribute it and/or modify it under the
* terms of the GNU General Public License as published by the Free Software
* Foundation; either version 2 of the License, or (at your option) any later
* version.
*
* This software is distributed in the hope that it will be useful, but WITHOUT
* Any WARRANTY; without even the implied warranty of MERCHANTABILITY or
* FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
* for more details.
*
* You should have received a copy of the GNU General Public License along with
* this program.  If not, see <http://www.gnu.org/licenses/>.
*
*******************************************************************************/

/*!
\file    DiskLoad_26.h
\brief   measure relative disk load from /proc/stat file [2.6 kernel version]
\author  Hugo Pereira
\version $Revision$
\date    $Date$
*/

#include "Counter.h"
#include "Debug.h"
#include "DiskLoad.h"

namespace Disk
{

    //! measure relative cpu load from /proc/stat file [2.4 kernel version]
    class DiskLoad_26: public DiskLoad
    {

        public:

        //! constructor
        explicit DiskLoad_26();

        //! load disk_id to string map
        void loadIdMap() override
        {}

        //! update all dataSamples from file
        void update() override;

        private:

        //! filename
        const QString filename_;

    };

};

#endif
